<div class="wrapper-outer">
    <div class="container">
        <div class="row">
            <div class="col-sm-12">
                <div class="cont-login">
                    <div class="form-box">
                        <form [formGroup]="workExpEditForm">
                            <!-- <div> -->
                            <!-- <div> -->
                            <!-- <div> -->
                            <div class="form-group">
                                <div class="row">
                                    <div class="col-4"><label>Company Name </label></div>
                                    <div class="col-8">
                                        <input type="text" formControlName="companyName" class="form-control"
                                            placeholder="Enter your Company Name">

                                        <!-- Error Messages -->
                                        <span class="t-red" *ngFor="let validation of errors.fullname">
                                            <span
                                                *ngIf="workExpEditForm.get('companyName').hasError(validation.type) && (workExpEditForm.get('companyName').dirty || workExpEditForm.get('companyName').touched)">
                                                {{validation.message}}
                                            </span>
                                        </span>
                                    </div>
                                </div>
                            </div>
                            <div class="form-group">
                                <div class="row">
                                    <div class="col-4" ><label >Industry </label></div>
                                    <div class="col-8">
                                        <select class="form-control select-box" formControlName="industryId"
                                            (change)="selectJobIndustry($event.target.value)">
                                            <option value="" disabled> Select Industry</option>
                                            <option value="{{industry.industryId}}"
                                                *ngFor="let industry of industryList ">
                                                {{industry.industryName}}</option>
                                        </select>

                                        <!-- Error Messages -->
                                        <span class="t-red" *ngFor="let validation of errors.industry">
                                            <span
                                                *ngIf="workExpEditForm.get('industryId').hasError(validation.type) && (workExpEditForm.get('industryId').dirty || workExpEditForm.get('industryId').touched)">
                                                {{validation.message}}
                                            </span>
                                        </span>
                                    </div>
                                </div>
                            </div>
                            <div class="form-group">
                                <div class="row">
                                    <div class="col-4"><label>Job Role</label></div>
                                    <div class="col-8">
                                        <select class="form-control select-box" formControlName="jobRole">
                                            <option value="" disabled> Select Job Role </option>
                                            <option value="{{role.jobRoleId}}" *ngFor="let role of jobRoleList ">
                                                {{role.jobRoleName}}</option>
                                        </select>


                                        <!-- Error Messages -->
                                        <span class="t-red" *ngFor="let validation of errors.jobRole">
                                            <span
                                                *ngIf="workExpEditForm.get('jobRole').hasError(validation.type) && (workExpEditForm.get('jobRole').dirty || workExpEditForm.get('jobRole').touched)">
                                                {{validation.message}}
                                            </span>
                                        </span>
                                    </div>
                                </div>
                            </div>
                            <div class="form-group">
                                <div class="row">
                                    <div class="col-4"><label>Duties</label></div>
                                    <div class="col-8">
                                        <textarea class="form-control" formControlName="description"
                                            placeholder="Duties here"></textarea>

                                        <!-- Error Messages -->
                                        <span class="t-red" *ngFor="let validation of errors.Duties">
                                            <span
                                                *ngIf="workExpEditForm.get('description').hasError(validation.type) && (workExpEditForm.get('description').dirty || workExpEditForm.get('description').touched)">
                                                {{validation.message}}
                                            </span>
                                        </span>
                                    </div>
                                </div>
                            </div>

                            <div class="form-group">
                                <div class="row">
                                    <div class="col-4"><label>Start Date</label></div>
                                    <div class="col-8">
                                        <input type="text" class="form-control date-select" readonly
                                            placeholder="Start Date" formControlName="startDate" bsDatepicker
                                            [bsConfig]="bsConfig" [maxDate]="endMaxDate">

                                        <!-- Error Messages -->
                                        <span class="t-red" *ngFor="let validation of errors.startDate">
                                            <span
                                                *ngIf="workExpEditForm.get('startDate').hasError(validation.type) && (workExpEditForm.get('startDate').dirty || workExpEditForm.get('startDate').touched)">
                                                {{validation.message}}
                                            </span>
                                        </span>
                                    </div>
                                </div>
                            </div>
                            <div class="form-group">
                                <div class="row">
                                    <div class="col-4"><label>End Date</label></div>
                                    <div class="col-8">
                                        <input type="text" class="form-control date-select" readonly
                                            placeholder="End Date" formControlName="endDate" bsDatepicker
                                            (click)="selectEndDate()" [isDisabled]="!isStartDateSelected"
                                            [bsConfig]="bsConfig" [maxDate]="endMaxDate" [minDate]="endMinDate">

                                        <!-- Error Messages -->
                                        <span class="t-red" *ngFor="let validation of errors.endDate">
                                            <span
                                                *ngIf="workExpEditForm.get('endDate').hasError(validation.type) && (workExpEditForm.get('endDate').dirty || workExpEditForm.get('endDate').touched)">
                                                {{validation.message}}
                                            </span>
                                        </span>
                                    </div>
                                </div>
                            </div>
                            <div class="kin-btm">
                                <h6><strong style="font-size: 15px;">Reference</strong></h6>
                                <div class="form-group">
                                    <div class="row">
                                        <div class="col-4"><label>Name</label></div>
                                        <div class="col-8">
                                            <input type="text" formControlName="referenceName" class="form-control"
                                                placeholder="Enter Reference Name">

                                            <!-- Error Messages -->
                                            <span class="t-red" *ngFor="let validation of errors.fullname">
                                                <span
                                                    *ngIf="workExpEditForm.get('referenceName').hasError(validation.type) && (workExpEditForm.get('referenceName').dirty || workExpEditForm.get('referenceName').touched)">
                                                    {{validation.message}}
                                                </span>
                                            </span>
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <div class="row">
                                        <div class="col-4"><label>Contact Number</label></div>
                                        <div class="col-8">
                                            <input type="tel" formControlName="referenceContact" class="form-control"
                                                placeholder="Reference Contact Number">

                                            <!-- Error Messages -->
                                            <span class="t-red" *ngFor="let validation of errors.phone">
                                                <span
                                                    *ngIf="workExpEditForm.get('referenceContact').hasError(validation.type) && (workExpEditForm.get('referenceContact').dirty || workExpEditForm.get('referenceContact').touched)">
                                                    {{validation.message}}
                                                </span>
                                            </span>
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <div class="row">
                                        <div class="col-4"><label>Email Address</label></div>
                                        <div class="col-8">
                                            <input type="email" formControlName="referenceEmailAddress"
                                                class="form-control" placeholder="Reference Email Id">

                                            <!-- Error Messages -->
                                            <span class="t-red" *ngFor="let validation of errors.email">
                                                <span
                                                    *ngIf="workExpEditForm.get('referenceEmailAddress').hasError(validation.type) && (workExpEditForm.get('referenceEmailAddress').dirty || workExpEditForm.get('referenceEmailAddress').touched)">
                                                    {{validation.message}}
                                                </span>
                                            </span>
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <div class="row">
                                        <div class="col-4"><label>Position</label></div>
                                        <div class="col-8">
                                            <input type="text" formControlName="referencePosition" class="form-control"
                                                placeholder="Reference Position">

                                            <!-- Error Messages -->
                                            <span class="t-red" *ngFor="let validation of errors.Position">
                                                <span
                                                    *ngIf="workExpEditForm.get('referencePosition').hasError(validation.type) && (workExpEditForm.get('referencePosition').dirty || workExpEditForm.get('referencePosition').touched)">
                                                    {{validation.message}}
                                                </span>
                                            </span>
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <div class="row">
                                        <div class="col-4"><label>Address Details</label></div>
                                        <div class="col-8">
                                            <input type="text" formControlName="referenceAddressDetails"
                                                class="form-control" placeholder="Reference Address">

                                            <!-- Error Messages -->
                                            <span class="t-red" *ngFor="let validation of errors.Address_Details">
                                                <span
                                                    *ngIf="workExpEditForm.get('referenceAddressDetails').hasError(validation.type) && (workExpEditForm.get('referenceAddressDetails').dirty || workExpEditForm.get('referenceAddressDetails').touched)">
                                                    {{validation.message}}
                                                </span>
                                            </span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="form-group text-right">
                                <!-- (click)="addAnotherWorkExp(i+1)" -->
                                <a href="javascript:void(0)" (click)="addAnotherWorkExp()"><img
                                        src="assets/images/add-btn.png" alt=""></a>
                            </div>
                            <!-- </div> -->
                            <!-- </div> -->
                            <!-- </div> -->

                            <div class="avl-result time" *ngIf="(workExpList[0] | json) == '{}' ? false : true">
                                <ul>
                                    <li *ngFor="let exp of workExpList ; let i = index; ">

                                        <!-- <strong > {{exp?.companyName}} : {{exp?.startDate}} -
                                            {{exp?.endDate }} </strong> -->
                                            <strong> {{exp?.companyName}} : {{exp?.startDate}} -
                                                {{exp?.endDate}} </strong>
                                            <!-- <strong *ngIf = '!valueBoolean'> {{exp?.companyName}} : {{exp?.startDate |date : 'dd-MM-yyyy'}} -
                                                {{exp?.endDate|date : 'dd-MM-yyyy' }} </strong> -->
                                        <span>
                                            <a href="javascript:void(0)" (click)="editWorkExp(i)"> <i> <img
                                                        src="assets/images/ic-edit-action.png" alt=""></i></a>
                                            <a href="javascript:void(0)" (click)="deleteWorkExp(exp.expId,i)"> <i
                                                    class="far fa-times-circle"></i> </a>
                                            <a href="javascript:void(0)" (click)="copyWorkExp(i)"> <i> <img
                                                        src="assets/images/ic-copy.png" alt=""></i> </a>
                                        </span>

                                    </li>
                                </ul>
                            </div>
                            <div class="form-group text-center">
                                <!-- [disabled]="!workExpEditForm.valid" *ngIf="!workExpList.length" -->
                                <input type="submit" [disabled]="!workExpEditForm.valid"
                                    (click)="saveCandidateWorkExp()" value="Save" class="btn">
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>